Subject: Re: IRIX binary compatibility (Was: Re: X VNC server compiled on Hardhat!!)

From: Ralf Baechle <[email-masked]>
Date: Mon, 5 Jul 1999 14:28:37 +0200

On Tue, Jun 29, 1999 at 05:08:31PM -0700, William J. Earl wrote:

> Ralf Baechle writes:
>  > On Sun, Jun 13, 1999 at 09:37:23PM -0700, digital convergence wrote:
>  > 
>  > > btw, how well is native IRIX binary loading supported? I wish to run a
>  > > copy of BMRT on my farm of indy's under linux, but it won't let me
>  > > execute any of the binaries (they're R4000 optimised old style linkage
>  > > bins)....
>  > 
>  > Only a limited number of syscalls and other interfaces is supported at
>  > all and I haven't received any reports about the IRIX compatibility
>  > stuff in ages.  Anybody interested in maintaining this facility?
> 
>        IRIX 4.* binaries are COFF binaries, not ELF, and have a very
> different ABI from IRIX 5.* binaries.  The present support is really
> for IRIX 5 binaries, which are much closer in interface semantics to
> Linux native binaries.

So far not a single person has asked for binary compatibility with
IRIX < 5.0, so ECOFF support isn't exactly something I'm worried about ...

  Ralf